For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETGet imports for DB
          • POSTCreate Import
          • GETGet Import by ID
          • POSTUpdates import
          • DELDelete Import
          • PUTUpdate import schedule
          • PUTUpdates the import with file delimiters
          • PUTUpdates the import's file_map after you've set the delimiters (see PUT|/dbs/{db_id}/imports/{import_id}/delimiters)
          • GETRetrieves auto detected imports
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformImports

Updates the import with file delimiters

PUT
https://meta.feedonomics.com/api.php/dbs/:db_id/imports/:import_id/delimiters
PUT
/api.php/dbs/:db_id/imports/:import_id/delimiters
$curl -X PUT https://meta.feedonomics.com/api.php/dbs/1/imports/1/delimiters \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "enclosure": "\\\\n",
> "encoding": "utf8",
> "escaper": "\\\\n",
> "line_terminator": "\\\\n",
> "separator": ","
>}'
200Updated
1{}
Updates the delimiter settings for an import.
Was this page helpful?
Previous

Update import schedule

Next

Updates the import’s file_map after you’ve set the delimiters (see PUT|/dbs/{db_id}/imports/{import_id}/delimiters)

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database that the import belongs to
import_idintegerRequired
ID of the import

Headers

x-api-keystringRequired

Request

The delimiter settings
enclosureenumRequired

The character used to wrap each column (defaults to double quote)

Allowed values:
encodingenumRequiredDefaults to utf8
The character encoding of the file
Allowed values:
escaperenumRequired

The character used to escape characters (defaults to double quote)

Allowed values:
line_terminatorenumRequired
The character used to define new lines
Allowed values:
separatorenum or nullRequiredDefaults to ,
The separator character between columns
Allowed values:

Response

Successful operation